'use strict';

let Builder = require('servicecontainer').Builder;

module.exports = class Container {

    constructor(data, configPath) {
        this.builder = new Builder(
            configPath
        );

        this.container = this.builder.build( data );
    }

    getContainer() {
        return this.container;
    }

    static install(Vue, options) {
        let container = new Container(options.data, options.path);

        Vue.prototype.$container = container.getContainer();
    }
}