'use strict';

let test = require('unit.js');
let Vue = require('vue');
let ContainerPlugin = require('../Container');

describe('Plugins', function () {

    it('getService', function () {

        Vue.use(ContainerPlugin, {
            data : require('./Mock/service.json'),
            path : __dirname+"/Mock/"
        });
        let vue = new Vue();

        test.object(vue.$container.get('testService')).isNot(null);
        test.string(vue.$container.get('testService').param).isNot(null);
        test.string(vue.$container.get('testService').param).is("Hello World");
    });

     it('getParameter', function () {

        Vue.use(ContainerPlugin, {
            data : require('./Mock/service.json'),
            path : __dirname+"/Mock/"
        });
        let vue = new Vue();

        test.string(vue.$container.getParameter('myParam')).is("Hello World");

    });
});